%global momorel 5

%define name supertux
%define realname supertux2
%define version 0.3.1

Summary: SuperTux is a action game like Super Mario Bros game
Name: %{name}
Version: %{version}
Release: %{momorel}m%{?dist}
Source0: http://download.berlios.de/%{name}/%{name}-%{version}d.tar.bz2 
NoSource: 0
Patch1: supertux-0.3.1-gcc43.patch
License: GPL
Group: Amusements/Games
URL: http://supertux.berlios.de/

Requires: mikmod
Requires: libmikmod
Requires: SDL
Requires: SDL_image
Requires: SDL_mixer
Requires: zlib
Requires: physfs
Requires: openal

BuildRequires: libmikmod-devel
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel
BuildRequires: zlib-devel
BuildRequires: physfs-devel
BuildRequires: jam

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
SuperTux is a jumping run like game, with strong inspiration from the
Super Mario Bros games for Nintendo.

Run and jump through multiple worlds, fighting off enemies by jumping
on them or bumping them from below.  Grabbing power-ups and other stuff
on the way.

%prep
rm -rf %{buildroot}

%setup -q
%patch1 -p1 -b .gcc43~

%build
./configure --prefix=/usr \
            --exec-prefix=/usr \
            --bindir=%{_bindir} \
            --sbindir=%{_sbindir} \
            --sysconfdir=/etc \
            --datadir=%{_datadir} \
            --includedir=%{_includedir} \
            --libdir=%{_libdir} \
            --libexecdir=%{_libexecdir} \
            --localstatedir=/var \
            --sharedstatedir=/usr/com \
            --mandir=%{_mandir} \
            --infodir=%{_infodir}

jam %{?_smp_mflags}

%install
DESTDIR=%{buildroot} jam install

# delete unwanted files...
rm -rf %{buildroot}%{_docdir}/%{realname}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING INSTALL README WHATSNEW.txt
%{_bindir}/*
%{_datadir}/%{realname}
%{_datadir}/applications/%{realname}.desktop
%{_datadir}/pixmaps/%{name}.*

%changelog
* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.1-5m)
- rebuild against openssl-0.9.8h-1m

* Sun Apr  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.1-4m)
- enable parallel build

* Sun Apr  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.1-3m)
- add patch for gcc43

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.1-2m)
- rebuild against gcc43

* Sun Mar  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1d

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-4m)
- %%NoSource -> NoSource

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-3m)
- rebuild against libvorbis-1.2.0-1m

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-2m)
- add Require: openal
- delete unused patch

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0
- use jam at build time
- add Requires: physfs, jam and add BuildPreReq: physfs-deval

* Wed Dec 21 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-2m)
- add gcc-4.1 patch.
--Patch0: supertux-0.1.3-gcc41.patch

* Sun Dec 11 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.1.3-1m)
- initial import to Momonga Linux
